> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# AnswerQuestionAPI mirrors the erdo_answer_question MCP tool: it sends the


> reply the app's question card sends, then returns the send acknowledgement.




## OpenAPI

````yaml /api/openapi.json post /v1/threads/{threadID}/questions/{questionID}/answer
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, experiments, and bounded outreach.
    Authenticate with a Bearer API key (erdo_api_...) or scoped token
    (erdo_token_...).
  version: '2026-11-21'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/threads/{threadID}/questions/{questionID}/answer:
    post:
      summary: >
        AnswerQuestionAPI mirrors the erdo_answer_question MCP tool: it sends
        the
      description: >
        reply the app's question card sends, then returns the send
        acknowledgement.
      operationId: POST:mcp.AnswerQuestionAPI
      parameters:
        - allowEmptyValue: true
          explode: false
          in: path
          name: threadID
          required: true
          schema:
            type: string
          style: simple
        - allowEmptyValue: true
          explode: false
          in: path
          name: questionID
          required: true
          schema:
            type: string
          style: simple
      requestBody:
        content:
          application/json:
            schema:
              properties:
                answers:
                  items:
                    $ref: '#/components/schemas/mcp.QuestionAnswer'
                  type: array
                async:
                  type: boolean
                options:
                  items:
                    type: string
                  type: array
                question_id:
                  type: string
                text:
                  type: string
                thread_id:
                  type: string
                timezone:
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  answer:
                    type: string
                  error:
                    type: string
                  invocation_id:
                    type: string
                  message_id:
                    type: string
                  output: {}
                  reply_sent:
                    type: string
                  status:
                    type: string
                  thread_id:
                    type: string
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    mcp.QuestionAnswer:
      properties:
        options:
          items:
            type: string
          type: array
        question_id:
          type: string
        text:
          type: string
      type: object
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.